using System;
using System.Collections.Generic;
using System.IO;
using System.Windows.Forms;

namespace EQIA
{
    public class EQInterfaceManager
    {
        private EQInterface myDefaultInterface;
        private Dictionary<string, EQInterface> myInterfaces;

        /// <summary>
        /// Directory where the EQUI is contained (path to everquest\uifiles directory).
        /// </summary>
        public DirectoryInfo EQUIDirectory;

        /// <summary>
        /// Name of the default interface directory.
        /// </summary>
        public string DefaultInterface;

        /// <summary>
        /// Name of the active interface directory.
        /// </summary>
        public string ActiveInterface;

        public EQInterfaceManager()
        {
            DefaultInterface = "default";
            EQUIDirectory = new DirectoryInfo(@"F:\Program Files\Everquest\uifiles\");
            myInterfaces = new Dictionary<string, EQInterface>();
            myDefaultInterface = new EQInterface(@"F:\Program Files\Everquest\uifiles\" + DefaultInterface);
            myDefaultInterface.Deserialize();
        }
    }
}
